/////////////////////////////////////////////////////////////////////////////
// Project:     wxIView
// Purpose:     Complex wxWidgets sample
// Name:        wxiviewpaint.h
// Author:      Daniel Nell
// Created:     2005/10/18
// Copyright:   (c) Daniel Nell
// License:     wxWindows license
// Modified by:
/////////////////////////////////////////////////////////////////////////////

#ifndef __WXIVIEWPAINT_H
#define __WXIVIEWPAINT_H

/////////////////////////////////////////////////////////////////////////////
//  class wxIViewPaintBase
//
/// \brief ...
///
/// ...
class wxIViewPaintBase
{
    public:
        virtual bool GetPageSizeMM( int *pnWidth, int *pnHeight ) = 0;
        virtual int  GetMaxPage() = 0;
        virtual bool GotoPage( int nPage ) = 0;
        virtual bool Paint( wxDC& oDc ) = 0;

    protected:
        virtual ~wxIViewPaintBase(){}
};

#endif // __WXIVIEWPAINT_H
